%global alphatag .beta1
%global full_version %{version}%{?alphatag}

Name:           fedora-business-cards
Version:        1
Release:        0.1%{alphatag}%{?dist}
Summary:        The Fedora business card generator

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://fedoraproject.org/wiki/Business_cards
Source0:        http://ianweller.fedorapeople.org/releases/%{name}/%{name}-%{full_version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel python-setuptools
Requires:       python-iniparse pygpgme python-fedora ghostscript
Requires:       aajohan-comfortaa-fonts abattis-cantarell-fonts
Requires:       inkscape fedora-logos


%description
fedora-business-cards is a tool written in Python to generate business cards
for Fedora Project contributors.


%prep
%setup -qn %{name}-%{full_version}


%build
python setup.py build


%install
rm -rf %{buildroot}
python setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitelib}/*
%{_bindir}/%{name}


%changelog
* Mon Jan 07 2013 Ian Weller <iweller@redhat.com> - 1-0.1.beta1
- Lots of updates, including dynamic sizing and new fonts
- Fix CVE-2013-0159 (patch by Michael Scherer)
- Remove BuildRoot
- Get rid of "if Fedora 10 or earlier" because we are way past that

* Mon Jul 23 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2.4.3-5
- Remove PyXLM dep as it's not at all needed

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Ian Weller <ian@ianweller.org> - 0.2.4.3-1
- Add template for the Europe business card size

* Sun Jul 25 2010 Ian Weller <iweller@redhat.com> - 0.2.4.2-5
- Rebuilt again for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Ian Weller <ian@ianweller.org> - 0.2.4.2-2
- Add an appropriate conditional require for inkscape

* Wed Jun 17 2009 Ian Weller <ian@ianweller.org> - 0.2.4.2-1
- Fix pavement.py issues

* Wed Jun 17 2009 Ian Weller <ian@ianweller.org> - 0.2.4.1-1
- Fix bug #502338 (fedora-business-cards generate no PNG)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Ian Weller <ianweller@gmail.com> 0.2.4-3
- Fix F11 dependency on the MgOpen fonts (again)

* Wed Dec 31 2008 Ian Weller <ianweller@gmail.com> 0.2.4-2
- Fix F11 dependency on the MgOpen fonts

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 0.2.4-1
- Add CMYK PDF as an export option

* Sun Dec 14 2008 Ian Weller <ianweller@gmail.com> 0.2.3-1
- Add EPS as an export option

* Sun Dec 14 2008 Ian Weller <ianweller@gmail.com> 0.2.2-3
- Change summary to be more helpful

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.2-2
- Rebuild for Python 2.6

* Sun Nov 09 2008 Ian Weller <ianweller@gmail.com> 0.2.2-1
- Fix coloration in back templates

* Thu Oct 30 2008 Ian Weller <ianweller@gmail.com> 0.2.1-1
- Upstream update

* Mon Oct 06 2008 Ian Weller <ianweller@gmail.com> 0.2-3
- Fix BuildRequires

* Mon Oct 06 2008 Ian Weller <ianweller@gmail.com> 0.2-2
- Fix Source0 URL (fedorapeople.org doesn't do https)

* Mon Oct 06 2008 Ian Weller <ianweller@gmail.com> 0.2-1
- Initial package build.
